import { DatePipe } from '@angular/common';
import { OnChanges, SimpleChanges, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { DateField } from './rendering-field';
import { BaseFieldDirective } from './base-field.directive';
import * as i0 from "@angular/core";
export declare class DateDirective extends BaseFieldDirective implements OnChanges {
    private templateRef;
    private datePipe;
    format?: string;
    timezone?: string;
    locale?: string;
    editable: boolean;
    field: DateField;
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    /**
     * Default component to render in Pages in Metadata edit mode if field value is empty and emptyFieldEditingTemplate is not provided
     */
    protected defaultFieldEditingComponent: Type<unknown>;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>, datePipe: DatePipe);
    ngOnChanges(changes: SimpleChanges): void;
    private updateView;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DateDirective, "[scDate]", never, { "format": { "alias": "scDateFormat"; "required": false; }; "timezone": { "alias": "scDateTimezone"; "required": false; }; "locale": { "alias": "scDateLocale"; "required": false; }; "editable": { "alias": "scDateEditable"; "required": false; }; "field": { "alias": "scDate"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scDateEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
