import { ElementRef, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { Router, NavigationExtras } from '@angular/router';
import { LinkDirective } from './link.directive';
import { LinkField } from './rendering-field';
import * as i0 from "@angular/core";
export declare class GenericLinkDirective extends LinkDirective {
    private router;
    editable: boolean;
    attrs: {
        [key: string]: string;
    };
    field: LinkField;
    extras?: NavigationExtras;
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>, renderer: Renderer2, elementRef: ElementRef, router: Router);
    protected renderTemplate(props: {
        [key: string]: string;
    }, linkText: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GenericLinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GenericLinkDirective, "[scGenericLink]", never, { "editable": { "alias": "scGenericLinkEditable"; "required": false; }; "attrs": { "alias": "scGenericLinkAttrs"; "required": false; }; "field": { "alias": "scGenericLink"; "required": false; }; "extras": { "alias": "scGenericLinkExtras"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scGenericLinkEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
