import { ElementRef, OnChanges, Renderer2, SimpleChanges, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { ImageField } from './rendering-field';
import { BaseFieldDirective } from './base-field.directive';
import * as i0 from "@angular/core";
export declare class ImageDirective extends BaseFieldDirective implements OnChanges {
    private templateRef;
    private renderer;
    private elementRef;
    field: ImageField;
    editable: boolean;
    /**
     * Custom regexp that finds media URL prefix that will be replaced by `/-/jssmedia` or `/~/jssmedia`.
     * @example
     * /\/([-~]{1})assets\//i
     * /-assets/website -> /-/jssmedia/website
     * /~assets/website -> /~/jssmedia/website
     */
    mediaUrlPrefix?: RegExp;
    urlParams: {
        [param: string]: string | number;
    };
    attrs: {
        [param: string]: unknown;
    };
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    /**
     * Default component to render in Pages in Metadata edit mode if field value is empty and emptyFieldEditingTemplate is not provided
     */
    protected defaultFieldEditingComponent: Type<unknown>;
    private inlineRef;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>, renderer: Renderer2, elementRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    private updateView;
    private getImageAttrs;
    private renderTemplate;
    private getElementAttrs;
    private renderInlineWrapper;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ImageDirective, "[scImage]", never, { "field": { "alias": "scImage"; "required": false; }; "editable": { "alias": "scImageEditable"; "required": false; }; "mediaUrlPrefix": { "alias": "scImageMediaUrlPrefix"; "required": false; }; "urlParams": { "alias": "scImageUrlParams"; "required": false; }; "attrs": { "alias": "scImageAttrs"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scImageEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
