import { ElementRef, OnChanges, Renderer2, SimpleChanges, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { LinkField } from './rendering-field';
import { BaseFieldDirective } from './base-field.directive';
import * as i0 from "@angular/core";
export declare class LinkDirective extends BaseFieldDirective implements OnChanges {
    protected templateRef: TemplateRef<unknown>;
    protected renderer: Renderer2;
    private elementRef;
    editable: boolean;
    attrs: {
        [attr: string]: string;
    };
    field: LinkField;
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    /**
     * Default component to render in Pages in Metadata edit mode if field value is empty and emptyFieldEditingTemplate is not provided
     */
    protected defaultFieldEditingComponent: Type<unknown>;
    private inlineRef;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>, renderer: Renderer2, elementRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    protected renderTemplate(props: {
        [prop: string]: unknown;
    }, linkText?: string): void;
    protected updateAttribute(node: HTMLElement, key: string, propValue?: unknown): void;
    /**
     * Determines if directive should render the field as is
     * Returns true if we are in edit mode 'chromes' (field.editable is present) or field is not empty
     * or link field text is present and we are not in edit mode 'metadata'
     * The right side of the expression was added to preserve existing functionality
     */
    protected shouldRender(): boolean;
    private updateView;
    private renderInlineWrapper;
    private getElementAttrs;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LinkDirective, "[scLink]", never, { "editable": { "alias": "scLinkEditable"; "required": false; }; "attrs": { "alias": "scLinkAttrs"; "required": false; }; "field": { "alias": "scLink"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scLinkEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
