import { KeyValueDiffers, OnChanges, SimpleChanges, Type } from '@angular/core';
import { ComponentRendering, HtmlElementRendering } from '@sitecore-jss/sitecore-jss/layout';
import { JssComponentFactoryService } from '../services/jss-component-factory.service';
import * as i0 from "@angular/core";
/**
 * Renders a single JSS component given a rendering definition.
 * Useful inside templated placeholders.
 */
export declare class RenderComponentComponent implements OnChanges {
    private differs;
    private componentFactory;
    private missingComponentComponent;
    rendering: ComponentRendering | HtmlElementRendering;
    outputs: {
        [k: string]: (eventType: unknown) => void;
    };
    private view;
    private _inputs;
    private _differ;
    private destroyed;
    constructor(differs: KeyValueDiffers, componentFactory: JssComponentFactoryService, missingComponentComponent: Type<{
        [key: string]: unknown;
    }>);
    set inputs(value: {
        [key: string]: unknown;
    });
    ngOnChanges(changes: SimpleChanges): void;
    private _setComponentInputs;
    private _subscribeComponentOutputs;
    private _render;
    static ɵfac: i0.ɵɵFactoryDeclaration<RenderComponentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RenderComponentComponent, "sc-render-component", never, { "rendering": { "alias": "rendering"; "required": false; }; "outputs": { "alias": "outputs"; "required": false; }; "inputs": { "alias": "inputs"; "required": false; }; }, {}, never, never, false, never>;
}
