import { OnChanges, SimpleChanges, TemplateRef, ViewContainerRef, Renderer2, Type } from '@angular/core';
import { Router } from '@angular/router';
import { RichTextField } from './rendering-field';
import { BaseFieldDirective } from './base-field.directive';
import * as i0 from "@angular/core";
export declare class RichTextDirective extends BaseFieldDirective implements OnChanges {
    private templateRef;
    private renderer;
    private router;
    editable: boolean;
    field: RichTextField;
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    /**
     * Default component to render in Pages in Metadata edit mode if field value is empty and emptyFieldEditingTemplate is not provided
     */
    protected defaultFieldEditingComponent: Type<unknown>;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>, renderer: Renderer2, router: Router);
    ngOnChanges(changes: SimpleChanges): void;
    private updateView;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichTextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RichTextDirective, "[scRichText]", never, { "editable": { "alias": "scRichTextEditable"; "required": false; }; "field": { "alias": "scRichText"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scRichTextEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
