import { ElementRef, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { Router } from '@angular/router';
import { LinkDirective } from './link.directive';
import { LinkField } from './rendering-field';
import * as i0 from "@angular/core";
export declare class RouterLinkDirective extends LinkDirective {
    private router;
    editable: boolean;
    attrs: {
        [attr: string]: string;
    };
    field: LinkField;
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>, renderer: Renderer2, elementRef: ElementRef, router: Router);
    protected renderTemplate(props: {
        [prop: string]: string;
    }, linkText: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RouterLinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RouterLinkDirective, "[scRouterLink]", never, { "editable": { "alias": "scRouterLinkEditable"; "required": false; }; "attrs": { "alias": "scRouterLinkAttrs"; "required": false; }; "field": { "alias": "scRouterLink"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scRouterLinkEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
