import { OnChanges, SimpleChanges, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { TextField } from './rendering-field';
import { BaseFieldDirective } from './base-field.directive';
import * as i0 from "@angular/core";
export declare class TextDirective extends BaseFieldDirective implements OnChanges {
    private templateRef;
    editable: boolean;
    encode: boolean;
    field: TextField;
    /**
     * Custom template to render in Pages in Metadata edit mode if field value is empty
     */
    emptyFieldEditingTemplate: TemplateRef<unknown>;
    /**
     * Default component to render in Pages in Metadata edit mode if field value is empty and emptyFieldEditingTemplate is not provided
     */
    protected defaultFieldEditingComponent: Type<unknown>;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>);
    ngOnChanges(changes: SimpleChanges): void;
    private updateView;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextDirective, "[scText]", never, { "editable": { "alias": "scTextEditable"; "required": false; }; "encode": { "alias": "scTextEncode"; "required": false; }; "field": { "alias": "scText"; "required": false; }; "emptyFieldEditingTemplate": { "alias": "scTextEmptyFieldEditingTemplate"; "required": false; }; }, {}, never, never, false, never>;
}
