import { ModuleWithProviders, Type } from '@angular/core';
import { ComponentNameAndModule, ComponentNameAndType } from './services/placeholder.token';
import * as i0 from "@angular/core";
import * as i1 from "./components/file.directive";
import * as i2 from "./components/image.directive";
import * as i3 from "./components/link.directive";
import * as i4 from "./components/router-link.directive";
import * as i5 from "./components/generic-link.directive";
import * as i6 from "./components/date.directive";
import * as i7 from "./components/render-each.directive";
import * as i8 from "./components/render-empty.directive";
import * as i9 from "./components/placeholder-loading.directive";
import * as i10 from "./components/render-component.component";
import * as i11 from "./components/placeholder.component";
import * as i12 from "./components/raw.component";
import * as i13 from "./components/rich-text.directive";
import * as i14 from "./components/text.directive";
import * as i15 from "./components/missing-component.component";
import * as i16 from "./components/hidden-rendering.component";
import * as i17 from "./components/editframe.component";
import * as i18 from "./components/editing-scripts.component";
import * as i19 from "./components/form.component";
import * as i20 from "@angular/common";
export declare class JssModule {
    /**
     * Instantiates the JSS module with no component factory.
     * Useful for using it from libraries. Most of the time you'd want withComponents()
     * @returns {ModuleWithProviders<JssModule>} module
     */
    static forRoot(): ModuleWithProviders<JssModule>;
    /**
     * Instantiates a module for a lazy-loaded JSS component(s)
     * @param {Type<unknown> | Record<string, Type<unknown>> } value - component or map of components
     * @returns {ModuleWithProviders<JssModule>} module
     */
    static forChild(value: Type<unknown> | {
        [key: string]: Type<unknown>;
    }): ModuleWithProviders<JssModule>;
    /**
     * Instantiates the JSS module and specifies the mapping from component name to component implementation.
     * Appropriate when defining the set of JSS components that your app is aware of.
     * @param {ComponentNameAndType[]} components
     * @param {ComponentNameAndModule[]} [lazyComponents]
     * @returns {ModuleWithProviders<JssModule>} module
     */
    static withComponents(components: ComponentNameAndType[], lazyComponents?: ComponentNameAndModule[]): ModuleWithProviders<JssModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<JssModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<JssModule, [typeof i1.FileDirective, typeof i2.ImageDirective, typeof i3.LinkDirective, typeof i4.RouterLinkDirective, typeof i5.GenericLinkDirective, typeof i6.DateDirective, typeof i7.RenderEachDirective, typeof i8.RenderEmptyDirective, typeof i9.PlaceholderLoadingDirective, typeof i10.RenderComponentComponent, typeof i11.PlaceholderComponent, typeof i12.RawComponent, typeof i13.RichTextDirective, typeof i14.TextDirective, typeof i15.MissingComponentComponent, typeof i16.HiddenRenderingComponent, typeof i17.EditFrameComponent, typeof i18.EditingScriptsComponent, typeof i19.FormComponent], [typeof i20.CommonModule], [typeof i1.FileDirective, typeof i2.ImageDirective, typeof i6.DateDirective, typeof i3.LinkDirective, typeof i4.RouterLinkDirective, typeof i5.GenericLinkDirective, typeof i7.RenderEachDirective, typeof i8.RenderEmptyDirective, typeof i10.RenderComponentComponent, typeof i11.PlaceholderComponent, typeof i16.HiddenRenderingComponent, typeof i9.PlaceholderLoadingDirective, typeof i13.RichTextDirective, typeof i14.TextDirective, typeof i17.EditFrameComponent, typeof i18.EditingScriptsComponent, typeof i19.FormComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<JssModule>;
}
