import { Injector } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ComponentFactoryResult } from './jss-component-factory.service';
/**
 * Resolves components based on provided guards
 * @param {Injector} injector
 * @param {ActivatedRoute} activatedRoute
 * @param {Router} router
 * @returns {(factories: ComponentFactoryResult[]) => Promise<ComponentFactoryResult[]>} factory
 */
export declare function guardResolverFactory(injector: Injector, activatedRoute: ActivatedRoute, router: Router): (factories: ComponentFactoryResult[]) => Promise<ComponentFactoryResult[]>;
