import { Injector, NgModuleRef, Type } from '@angular/core';
import { ComponentRendering, HtmlElementRendering } from '@sitecore-jss/sitecore-jss/layout';
import { ComponentNameAndModule, ComponentNameAndType, JssCanActivate, JssCanActivateFn, JssResolve } from './placeholder.token';
import * as i0 from "@angular/core";
export interface ComponentFactoryResult {
    componentImplementation?: Type<any>;
    componentDefinition: ComponentRendering | HtmlElementRendering;
    componentModuleRef?: NgModuleRef<unknown>;
    canActivate?: JssCanActivate | Type<JssCanActivate> | JssCanActivateFn | Array<JssCanActivate | JssCanActivateFn | Type<JssCanActivate>>;
    resolve?: {
        [key: string]: JssResolve<any> | Type<JssResolve<any>>;
    };
}
export declare class JssComponentFactoryService {
    private injector;
    private components;
    private lazyComponents;
    private componentMap;
    private lazyComponentMap;
    constructor(injector: Injector, components: ComponentNameAndType[], lazyComponents: ComponentNameAndModule[]);
    getComponent(component: ComponentRendering): Promise<ComponentFactoryResult>;
    getComponents(components: Array<ComponentRendering | HtmlElementRendering>): Promise<ComponentFactoryResult[]>;
    private getRawComponent;
    private applySXAParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<JssComponentFactoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JssComponentFactoryService>;
}
