import { TransferState } from '@angular/core';
import { Observable } from 'rxjs';
import { LayoutServiceContextData, RouteData } from '../public_api';
import * as i0 from "@angular/core";
export declare class BaseJssState {
    sitecore?: LayoutServiceContextData & {
        route: RouteData | null;
    };
    viewBag?: {
        [key: string]: unknown;
    };
}
/**
 * The service that is used to store and retrieve the current state of the app.
 * Referenced by the SDK to get the current state of the app.
 */
export declare class JssStateService<State extends BaseJssState = BaseJssState> {
    protected transferState: TransferState;
    private _state;
    constructor(transferState: TransferState);
    /**
     * Observable JSS state to subscribe to
     */
    get state(): Observable<State>;
    /**
     * The 'here and now' state value, usable without subscribing
     */
    get stateValue(): State;
    /**
     * Set new JSS state
     * @param {JssState} newState new state
     */
    setState(newState: State): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<JssStateService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JssStateService<any>>;
}
